#LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di  sorta.
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/ISTAT_MFR_EUSILC_Microdata_2016_PERSONAL_REGISTER_RFILE_Longitudinal_FILE_STRUCTURE_EXAMPLE.txt", sep="")
DF_EUSILC_A2016_PERSONAL_REGIST<- read.delim2 (fileInput,  header=T, sep="^",  quote="",  na.strings = ".")
attr(DF_EUSILC_A2016_PERSONAL_REGIST, "label") <- c(
"YEAR OF THE SURVEY",
"COUNTRY",
"PERSONAL ID",
"CURRENT HOUSEHOLD ID",
"PERSONAL BASE WEIGHT",
"FLAG OF RB060",
"LONGITUDINAL WEIGHT (TWO-YEAR DURATION)",
"FLAG OF RB062",
"LONGITUDINAL WEIGHT (THREE-YEAR DURATION)",
"FLAG OF RB063",
"LONGITUDINAL WEIGHT (FOUR-YEAR DURATION)",
"FLAG OF RB064",
"MONTH OF BIRTH",
"FLAG OF RB070",
"YEAR OF BIRTH",
"FLAG OF RB080",
"SEX",
"FLAG OF RB090",
"SAMPLE PERSON OR CO-RESIDENT",
"FLAG OF RB100",
"MEMBERSHIP STATUS",
"FLAG OF RB110",
"MOVED TO",
"FLAG OF RB120",
"MONTH MOVED OUT OR DIED",
"FLAG OF RB140",
"YEAR MOVED OUT OR DIED",
"FLAG OF RB150",
"NUMBER OF MONTHS IN HOUSEHOLD DURING THE INCOME REFERENCE PERIOD",
"FLAG OF RB160",
"MAIN ACTIVITY STATUS DURING THE INCOME REFERENCE PERIOD",
"FLAG OF RB170",
"MONTH MOVED IN",
"FLAG OF RB180",
"YEAR MOVED IN",
"FLAG OF RB190",
"RESIDENTIAL STATUS",
"FLAG OF RB200",
"BASIC ACTIVITY STATUS",
"FLAG OF RB210",
"FATHER ID",
"FLAG OF RB220",
"MOTHER ID",
"FLAG OF RB230",
"SPOUSE/PARTNER ID",
"FLAG OF RB240",
"RESPONDENT STATUS",
"FLAG OF RB245",
"DATA STATUS",
"FLAG OF RB250",
"TYPE OF INTERVIEW",
"FLAG OF RB260",
"PERSONAL ID OF PROXY",
"FLAG OF RB270",
"AGE AT THE TIME OF INTERVIEW",
"AGE AT THE END OF INCOME REFERENCE PERIOD")

RB020_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB020, 
levels=c("AT", 
"BE", 
"BG", 
"CH", 
"CY", 
"CZ", 
"DE", 
"DK", 
"EE", 
"EL", 
"ES", 
"FI", 
"FR", 
"HR", 
"HU", 
"IE", 
"IS", 
"IT", 
"LT", 
"LU", 
"LV", 
"ME", 
"MK", 
"MT", 
"NL", 
"NO", 
"PL", 
"PT", 
"RO", 
"RS", 
"SE", 
"SI", 
"SK", 
"TR", 
"UK"), 
labels=c("sterreich", 
"Belgique/Belge", 
"Bulgaria", 
"Switzerland", 
"Cyprus", 
"Czech republic", 
"Deutschland", 
"Denmark", 
"Estonia", 
"Ellda", 
"Espaa", 
"Suomi", 
"France", 
"Croatia", 
"Hungary", 
"Ireland", 
"Iceland", 
"Italia", 
"Lithuania", 
"Luxembourg", 
"Latvia", 
"Montenegro", 
"The Former Yugoslav Republic of Macedonia (FYROM)", 
"Malta", 
"Nederland", 
"Norway", 
"Poland", 
"Portugal", 
"Romania", 
"Serbia", 
"Sverige", 
"Slovenia", 
"Slovak republic", 
"Turkey", 
"United Kingdom")) 


RB060_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB060_F, 
levels=c(1), 
labels=c("filled")) 


RB062_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB062_F, 
levels=c(1, 
-1, 
-2), 
labels=c("Filled", 
"Missing", 
"Not applicable (only 1 year trajectory for the individual, i.e.individual in first wave)")) 


RB063_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB063_F, 
levels=c(1, 
-1, 
-2), 
labels=c("Filled", 
"Missing", 
"Not applicable (less than three-year trajectory for the individual, i.e. individual in first or second wave)")) 


RB064_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB064_F, 
levels=c(1, 
-1, 
-2), 
labels=c("Filled", 
"Missing", 
"Not applicable (less than four-year trajectory for the individual, i.e. individual in first, second or third wave)")) 


RB070_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB070, 
levels=c(1, 
2, 
3, 
4), 
labels=c("January-March", 
"April-June", 
"July-September", 
"October-December")) 


RB070_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB070_F, 
levels=c(1, 
-1), 
labels=c("filled", 
"missing")) 


RB080_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB080_F, 
levels=c(1, 
-1), 
labels=c("filled", 
"missing")) 


RB090_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB090, 
levels=c(1, 
2), 
labels=c("Male", 
"Female")) 


RB090_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB090_F, 
levels=c(1, 
-1), 
labels=c("filled", 
"missing")) 


RB100_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB100, 
levels=c(1, 
2), 
labels=c("sample person", 
"co-resident")) 


RB100_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB100_F, 
levels=c(1, 
-1), 
labels=c("filled", 
"missing")) 


RB110_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB110, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7), 
labels=c("Was in this household in previous waves or current household member", 
"Moved into this household from another sample household since previous wave", 
"Move into this household from outside sample since previous wave", 
"Newly born into this household since last wave Not current household members", 
"Moved out since previous wave or last interview if not contacted in previous wave", 
"Died", 
"Lived in the household at least three months during the income reference periodand was not recorded in the register of this household")) 


RB110_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB110_F, 
levels=c(1, 
-1), 
labels=c("filled", 
"missing")) 


RB120_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB120, 
levels=c(1, 
2, 
3, 
4), 
labels=c("To a private household in the country", 
"To a collective household or institution in the country", 
"Abroad", 
"Lost")) 


RB120_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB120_F, 
levels=c(1, 
-2), 
labels=c("filled", 
"Not applicable (RB110 not equal to 5)")) 


RB140_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB140, 
levels=c(1, 
2, 
3, 
4), 
labels=c("January-March", 
"April-June", 
"July-September", 
"October-December")) 


RB140_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB140_F, 
levels=c(1, 
-1, 
-2), 
labels=c("Filled", 
"Missing", 
"Not applicable (RB110 not equal to 5 or 6)")) 


RB150_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB150_F, 
levels=c(1, 
-1, 
-2), 
labels=c("Filled", 
"Missing", 
"Not applicable (RB110 not equal to 5 or 6)")) 


RB160_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB160_F, 
levels=c(1, 
-1, 
-2), 
labels=c("Filled", 
"Missing", 
"Not applicable (RB110 not equal to 5 or 6)")) 


RB170_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB170, 
levels=c(1, 
2, 
3, 
4), 
labels=c("At work", 
"Unemployed", 
"In retirement or early retirement", 
"Other inactive person")) 


RB170_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB170_F, 
levels=c(1, 
-1, 
-2), 
labels=c("Filled", 
"Missing", 
"Not applicable (RB110 not equal to 5 or 6 or 7)")) 


RB180_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB180, 
levels=c(1, 
2, 
3, 
4), 
labels=c("January-March", 
"April-June", 
"July-September", 
"October-December")) 


RB180_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB180_F, 
levels=c(1, 
-1, 
-2), 
labels=c("Filled", 
"Missing", 
"Not applicable (RB110 not equal to 3)")) 


RB190_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB190_F, 
levels=c(1, 
-1, 
-2), 
labels=c("Filled", 
"Missing", 
"Not applicable (RB110 not equal to 3)")) 


RB200_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB200, 
levels=c(1, 
2), 
labels=c("currently living in the household", 
"temporarily absent")) 


RB200_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB200_F, 
levels=c(1, 
-1, 
-2), 
labels=c("filled", 
"Missing", 
"Not applicable (RB110 not equal to 1, 2, 3 or 4)")) 


RB210_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB210, 
levels=c(1, 
2, 
3, 
4), 
labels=c("at work", 
"unemployed", 
"in retirement or early retirement", 
"other inactive person")) 


RB210_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB210_F, 
levels=c(1, 
-1, 
-2), 
labels=c("filled", 
"Missing", 
"Not applicable (RB110 not equal to 1, 2, 3 or 4)")) 


RB220_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB220_F, 
levels=c(1, 
-1, 
-2), 
labels=c("filled", 
"missing", 
"na (father is not a household member)")) 


RB230_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB230_F, 
levels=c(1, 
-1, 
-2), 
labels=c("filled", 
"missing", 
"na (mother is not a household member)")) 


RB240_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB240_F, 
levels=c(1, 
-1, 
-2), 
labels=c("filled", 
"missing", 
"na (spouse/partneris not a household member)")) 


RB245_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB245, 
levels=c(1, 
2, 
3, 
4), 
labels=c("current household member aged 16 and over Only selected household member aged 16 and over is interviewed", 
"selected respondent", 
"not selected respondent Households members aged less than 16 at the time of interview", 
"not eligible person")) 


RB245_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB245_F, 
levels=c(1, 
-2), 
labels=c("filled", 
"Not applicable (RB110 not equal to 1, 2, 3 or 4))")) 


RB250_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB250, 
levels=c(11, 
12, 
13, 
14, 
21, 
22, 
23, 
31, 
32, 
33), 
labels=c("information completed only from interview", 
"information completed only from registers", 
"information completed from both: interview and registers", 
"information completed from full-record imputation", 
"individual unable to respond (illness, incapacity, etc) and no proxy possible", 
"failed to return self-completed questionnaire", 
"refusal to co-operate", 
"person temporarily away and no proxy possible", 
"no contact for other reasons Information or interview not completed", 
"information not completed reason unknown")) 


RB250_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB250_F, 
levels=c(1, 
-2), 
labels=c("filled", 
"na (RB245 not = 1,2 or 3)")) 


RB260_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB260, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10), 
labels=c("face to face interview-PAPI", 
"face to face interview-CAPI", 
"CATI telephone interview", 
"self-administered by respondent", 
"Computer assisted web interviewing-CAWI", 
"Face to face interview-PAPI with proxy", 
"Face to face interview-CAPI with proxy", 
"CATI, telephone interview with proxy", 
"Self-administered by respondent with proxy", 
"Computer assisted web interviewing-CAWI with proxy")) 


RB260_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB260_F, 
levels=c(1, 
-1, 
-2), 
labels=c("filled", 
"missing", 
"Not applicable (RB250 not equal to 11 or 13) or RB245=3")) 


RB270_F_Fact <- factor(DF_EUSILC_A2016_PERSONAL_REGIST$RB270_F, 
levels=c(1, 
-1, 
-2), 
labels=c("filled", 
"missing", 
"Not applicable ((RB260 not equal to 6, 7, 8, 9, 10) AND RB010 > 2013) OR ( RB260 ne 5 AND RB010 < 2014))")) 

save.image (file="DF_EUSILC_A2016_PERSONAL_REGIST.RData")
